Subject: ARM64 kexec/kdump timeline

From: [email-masked] (Hanjun Guo)
Date: Thu, 28 May 2015 11:52:59 +0800

On 2015?05?28? 07:14, Timur Tabi wrote:
> On 05/27/2015 11:39 AM, Arnd Bergmann wrote:
>> ACPI support has just been merged and is still experimental. You
>> should be able to boot your system by passing a DT blob at the
>> initial boot that matches your hardware. Can you try if that
>> makes kexec work?
>
> If I had an initial DT blob that matched by hardware, I wouldn't need
> ACPI support!  This is an ARM64 Server system.  There is no device tree
> for the hardware.  Everything is in ACPI.
>
> What does x86 do?  They don't have device trees, but they do use ACPI,
> so how does kexec work there?

So the key point is that we need to get the root pointer to the
ACPI tables (RSDP), which is in the UEFI configuration table as
Ard said, I think this part is the same for ARM64 and x86.

ACPI provide an early param "acpi_rsdp" for kexec use as a option,
you can refer to Documentation/kernel-parameters.txt.

Thanks
Hanjun